package de.ivu.elect.business.konfiguration.entity;

import de.ivu.elect.business.mandant.entity.MandantArt;

public enum KonfigurationMandantArt {

  SYSTEM_PARAMETER {
    @Override
    public boolean isAccept(MandantArt mandantArt) {
      return mandantArt.isSystemMandant();
    }
  },
  CUSTOMER_PARAMETER {
    @Override
    public boolean isAccept(MandantArt mandantArt) {
      return mandantArt.isCustomerMandant();
    }
  },
  CUSTOMER_AND_SYSTEM_PARAMETER {
    @Override
    public boolean isAccept(MandantArt mandantArt) {
      return mandantArt.isCustomerMandant() || mandantArt.isSystemMandant();
    }
  };

  public abstract boolean isAccept(MandantArt mandantArt);
}
